WebSocket API

fco.list

List conditional orders by account and filters, paginated. No signature required.

Required scope: tradingws:fco:get.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
fcoIdstring | nulloptional

Filter by conditional-order identifier.

typestring | nulloptional

Filter by conditional-order type.

processStatusstring | nulloptional

Filter by processing status.

symbolstring | nulloptional

Filter by trading symbol.

sidestring | nulloptional

Filter by order side.

accountNostringrequired

Trading account number.

fromstring | nulloptional

Filter from date, format `yyyy/MM/dd`. If `to` is also present, `from` must be <= `to`.

tostring | nulloptional

Filter to date, format `yyyy/MM/dd`.

pageIndexintegeroptional

Page index, starting from 1.

pageSizeintegeroptional

Number of records per page.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0007",
  "method": "fco.list",
  "params": {
    "accountNo": "1231496",
    "pageIndex": 1,
    "pageSize": 10
  },
  "timestamp": 1755000006000
}'

Sample Response

{
  "id": "req-0007",
  "method": "fco.list",
  "status": 200,
  "result": {
    "data": [
      {
        "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638",
        "username": "123149",
        "accountNo": "1231496",
        "quantity": 4000,
        "price": "MP",
        "priceSlip": 0,
        "symbol": "SSI",
        "orderType": "LO",
        "matchedQuantity": 0,
        "isPlaceOrder": false,
        "status": "INIT",
        "detail": "",
        "from": "2026/07/29 09:00:00",
        "to": "2026/07/30 09:00:00",
        "type": "TS",
        "params": {
          "side": "B",
          "stopPrice": 44.5,
          "trailingAmount": 0.5,
          "operator": "GREATER_OR_EQUAL"
        }
      }
    ],
    "pageSize": 10,
    "pageIndex": 1,
    "itemsCount": 1
  },
  "rateLimit": {
    "limit": 100,
    "remaining": 98,
    "resetMs": 880
  }
}